﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */


html body {
    background-color: #f9f9f9;
}

    html body a {
        color: #055589;
    }

@keyframes bounce {
    0%, 20%, 50%, 80%, 100% {
        transform: translateY(0);
    }

    40% {
        transform: translateY(-10px);
    }

    60% {
        transform: translateY(-5px);
    }
}

.bounce-animation {
    animation: bounce 1s infinite;
}

#heat-map-overlay {
    position: center;
    top: 0;
    z-index: 100;
    width: 100%;
    height: 100%;
    display: none;
    background: rgba(255, 255, 255, 0.6);
}

.cv-spinner {
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.spinner {
    width: 40px;
    height: 40px;
    border: 4px #ddd solid;
    border-top: 4px #2e93e6 solid;
    border-radius: 50%;
    animation: sp-anime 0.8s infinite linear;
}

@keyframes sp-anime {
    100% {
        transform: rotate(360deg);
    }
}

.is-hide {
    display: none;
}


.required label:after {
    color: #e32;
    content: ' *';
    display: inline;
}

input.input-validation-error {
    border: 1px solid #dc3545 !important;
}

.validation-summary-errors {
    color: #e32;
}


.admin-sidebar .menu .menu-item .menu-link {
    padding: 6px 15px;
}


.kanban-col {
    background: rgba(245, 245, 245, 0.4);
    border-right: 0;
    float: left;
    margin: 0 !important;
    width: 323px;
}

    .kanban-col .card-body {
        height: calc(100vh - calc(260px));
        overflow: auto;
    }

.mail-sidebar {
    /*max-width: 160px;*/
}

table.kanban-table {
    width: 100% !important;
}

.kanban-parent {
    height: calc(100vh - calc(190px));
    width: 807px;
}

.kanban-board {
    display: flow-root;
    width: 1313px;
}

.kanban-col {
    background: rgba(245, 245, 245, 0.4);
    border-right: 0;
    float: left;
    margin: 0 !important;
    width: 323px;
}

    .kanban-col .card-body {
        height: calc(100vh - calc(260px));
        overflow: auto;
    }

table.kanban-table {
    width: 100% !important;
}

.kanban-parent {
    height: calc(100vh - calc(190px));
    width: 807px;
}

.kanban-board {
    display: flow-root;
    width: 1313px;
}


.list-item-summary li {
    margin-right: 45px !important;
}

    .list-item-summary li dd {
        color: #5a5a5a;
    }

    .list-item-summary li dt {
        font-weight: normal;
    }

.entity-details dt,
.entity-details dd {
    border-bottom: 1px solid #fcfcfc;
    margin-bottom: 0.3rem;
    padding-bottom: 0.3rem;
}

.twitter-typeahead {
    width: 100%;
}

.typeahead,
.tt-query,
.tt-input,
.tt-hint {
    width: 100%;
}

.typeahead,
.tt-input,
.tt-hint {
    /*    width: 240px;*/
}



.tt-menu {
    background: white;
    border: 1px solid #eaedf3;
    box-shadow: 0 0 1px #2e2d2d;
    width: 100%;
}

.tt-dataset {
}

a.tt-suggestion {
    border-bottom: 1px solid #dbdbdb;
    color: #3d3d3d;
    display: block;
    padding: 8px;
}

    a.tt-suggestion:hover {
        background: #eaeaea;
        text-decoration: none;
    }

.tt-cursor {
    background: #ededed;
}

.search-result-name {
    display: block;
    font-size: 15px;
}

.search-result-type {
    color: #727272;
    display: block;
    font-size: 14px;
}

table.dataTable > tbody > tr.child ul.dtr-details {
    width: 85%;
}

    table.dataTable > tbody > tr.child ul.dtr-details span.dtr-data {
        display: inline-block;
        padding-left: 15px;
    }

/*@media (min-width: 1200px) {
    .modal-xl { max-width: 1200px; }
}
*/
.form-control {
    height: auto !important;
    /*    padding: .25rem .275rem;*/
}

.select2-container--bootstrap4 .select2-selection--single {
    height: calc(1.5em + .75rem + 0px) !important;
}

.select2-container--bootstrap4 .select2-selection__clear {
    background-color: white;
    color: #616161;
}

    .select2-container--bootstrap4 .select2-selection__clear:hover {
        background-color: #eaeaea;
    }


.admin-main {
    padding-top: 0px;
}

@media (max-width: 767px) {
    .admin-main {
        padding-top: 65px !important;
    }
}

.admin-sidebar .menu .menu-item .menu-link .menu-icon .icon-placeholder {
    font-size: 14px;
}

.modal-title {
    font-size: 1.4rem;
    font-weight: 700;
}

h1,
h2 {
    font-weight: 600
}


.btn-outline-secondary {
    color: #7791b8;
}

.usable-height {
    height: calc(100vh);
}

@media (min-width: 1200px) {
    .container {
        max-width: 1183px;
    }
}


.pos .nav-item .active {
    color: #6772e5;
    font-weight: bold;
}


.avatar-sm {
    height: 2rem;
    width: 2rem;
}

.admin-sidebar-settings {
    background-color: #263238;
}

    .admin-sidebar-settings .menu .menu-item.active {
        background: #293941;
    }

.required label:after {
    color: #e32;
    content: ' *';
    display: inline;
}

@font-face {
    font-family: Faruma-print;
    src: url('../app-assets/Faruma.eot?#iefix') format('embedded-opentype'),
    /* IE6-IE8 */
    url('../app-assets/Faruma.woff') format('woff'),
    /* Pretty Modern Browsers */
    url('../app-assets/Faruma.ttf') format('truetype'),
    /* Safari, Android, iOS */
    url('../app-assets/Faruma.svg#svgFontName') format('svg');
    /* Legacy iOS */
    font-weight: normal;
}

@font-face {
    font-family: Waheed;
    src: url('../app-assets/MVWaheed.woff') format('woff');
    font-weight: normal;
}
@font-face {
    font-family: Faruma-print;
    src: url('../app-assets/Faruma.eot?#iefix') format('embedded-opentype'),
    /* IE6-IE8 */
    url('../app-assets/Faruma.woff') format('woff'),
    /* Pretty Modern Browsers */
    url('../app-assets/Faruma.ttf') format('truetype'),
    /* Safari, Android, iOS */
    url('../app-assets/Faruma.svg#svgFontName') format('svg');
    /* Legacy iOS */
    font-weight: normal;
}



.dhivehiText {
    direction: rtl;
    font-family: Waheed;
    text-align: right;
}

.dhivehiTextFaruma {
    direction: rtl;
    font-family: Faruma-print;
    text-align: right;
    font-size: 20px;
}

.dhivehiTextNoAlign {
    direction: rtl;
    font-family: Waheed;
    font-size: 20px;
}


.dhivehiTextBold {
    direction: rtl;
    font-family: Waheed;
    font-size: 20px;
    text-align: right;
    font-weight: bolder;
}

.dhivehiTextHeader {
    direction: rtl;
    font-family: Waheed;
    font-size: 25px;
    text-align: right;
    font-weight: bolder;
}

@media print {
    .print-header {
        position: fixed;
        top: 20px!important;
        left: 0;
        right: 0;
        background-color: white;
        z-index: 1000;
    }
    .print-icon {
        display: none;
    }

    .main-content {
        position: relative;
        top: 120px; /* Adjust this value based on the height of your header */
        left: 0;
        right: 0;
    }

    .page-break {
        page-break-before: always;
        display: block;
        left: 0;
        right: 0;
    }

    @page {
        /*margin-top: 200px;*/ /* Should match the height of your header */
    }

    body {
        margin: 0;
        padding: 0;

    }
}

.todo-application .sidebar .todo-sidebar .todo-app-menu .sidebar-menu-list .list-group .list-group-item.active {
    background-color: #7f8091 !important;
}


.grid {
    display: grid;
    grid-template-columns: repeat(3, minmax(0, 1fr));
    gap: 1rem;
}

.grid-span-2 {
    grid-column: span 2 / span 2;
}

html body .content .content-wrapper .content-header-title {
    font-size: 1.7rem;
    font-weight: 600;
    color: #383838;
}

.footer-content {
    position: sticky;
    bottom: 0;
    background-color: #f9f9f9;
    padding: 20px;
    text-align: center;
}




.dhivehi {
    direction: rtl;
    font-family: Faruma-print;
    text-align: right;
}


.dhivehi-text {
    direction: rtl;
    font-family: Faruma-print;
}

.selected {
    background: #FFECEC;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); 
    transition: background 0.3s ease, box-shadow 0.3s ease; 
}


.dhivehi-table.table-sm th, .dhivehi-table.table-sm td {
    font-size: 1.07rem;
}


.main-menu.menu-dark .navigation > li.active > a {
    background: #f4f5fa;
}

.main-menu.menu-dark .navigation > li.active > a {
    /*padding: 8px 11px 7px 10px;*/
}

.main-menu.menu-dark .navigation > li.active > a {
    color: #1e0030;
}

.main-menu.menu-dark {
    background: #1e0030;
}

.navbar-semi-dark .navbar-header {
    background: #1e0030;
}

.main-menu.menu-dark .navigation {
    background: #1e0030;
}

    .main-menu.menu-dark .navigation > li > ul {
        background: #260839;
        padding-top: 8px;
        padding-bottom: 8px;
    }

    .main-menu.menu-dark .navigation > li ul li > a {
        padding: 7px 14px 7px 54px
    }

    .main-menu.menu-dark .navigation > li.active > a {
        padding: 7px 14px 7px 54px
    }

.form-control-label {
    text-align: right;
}

.header-navbar .navbar-header .navbar-brand {
    padding: 2px;
}

.card {
    border: 1px solid #ededed;
    box-shadow: rgba(0, 0, 0, 0) 0px 0px 0px 0px, rgba(0, 0, 0, 0) 0px 0px 0px 0px, rgba(0, 0, 0, 0.1) 0px 1px 3px 0px, rgba(0, 0, 0, 0.1) 0px 1px 2px -1px;
    border-radius: 0.75rem;
}

.list-item-summary li dd {
    color: #1e1d1d;
    font-weight: 600;
}


.btn-info {
    border-color: #1e263d !important;
    background-color: #1e263d !important;
    color: #FFFFFF;
}

    .btn-info:hover, .btn-info:active, .btn-info:focus,
    .btn-info:not(:disabled):not(.disabled):active, .btn-info:not(:disabled):not(.disabled).active, .show > .btn-info.dropdown-toggle {
        border-color: #000000 !important;
        background-color: #000000 !important;
        color: #FFF !important;
    }


.main-menu.menu-dark .navigation > li .active > a {
    background: #fafbfc;
}

.main-menu.menu-dark .navigation > li ul .active > a {
    color: #323232;
}

.bg-success {
    background-color: #4CAF50 !important;
}

.progress {
    border-radius: 0.5rem;
}

.bg-light {
    background-color: #f9fafb !important;
}

.accordion .card-header, .default-collapse .card-header {
    border-radius: .45rem .45rem 0 0 !important;
}

.nav.nav-tabs.nav-linetriangle.nav-justified {
    border-bottom-color: #e3dbd6;
}

.nav.nav-tabs.nav-linetriangle .nav-item a.nav-link.active {
    font-weight: 600;
}

.btn-info {
    border-color: #8a4dc2 !important;
    background-color: #824bc2 !important;
    color: #FFFFFF;
}

    .btn-info:hover {
        border-color: #9e62e3 !important;
        background-color: #9e62e3 !important;
        color: #FFF !important;
    }


.main-menu.menu-dark .navigation > li.open > a {
    border-right: 4px solid #844cb7;
}

.main-menu.menu-dark .navigation > li.active > a {
    padding: 7px 14px 7px 8px;
}

.nav.nav-tabs.nav-linetriangle .nav-item a.nav-link.active {
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
    border-bottom-color: #7b1fa2;
    color: #7b1fa2;
}

    .nav.nav-tabs.nav-linetriangle .nav-item a.nav-link.active:before {
        border-top-color: #7b1fa2;
    }

    .nav.nav-tabs.nav-linetriangle .nav-item a.nav-link.active:after {
    }

    .nav.nav-tabs.nav-linetriangle .nav-item a.nav-link.active:focus {
        color: #7b1fa2;
    }

.main-menu.menu-light .navigation {
    background: #DDDAD2;
}

.main-menu.menu-light {
    color: #6b6f82;
    background: #DDDAD2;
}

    .main-menu.menu-light .navigation > li ul .active > a {
        background: #612838b3;
        color: #ffffff;
        font-weight: 700;
    }

    .main-menu.menu-light .navigation > li.active > a {
        font-weight: 700;
        background: #612838b3;
        margin: 0 1rem 0 1rem;
        border-radius: 0.3rem;
    }

    .main-menu.menu-light .navigation > li.active > a {
        padding: 8px 29px 8px 18px;
    }

    .main-menu.menu-light .navigation > li > a {
        padding: 8px 30px 10px 29px;
    }

html body {
    background-color: rgb(221 218 209 / 59%);
}

.main-menu.menu-light .navigation li a {
    color: #545454;
    transition: all 0.2s ease;
}

.navbar-light {
    background: rgb(97 40 56)
}

.footer-content {
    background-color: #ebe9e3;
}

body.vertical-layout.vertical-menu-modern.menu-expanded .navbar .navbar-header {
    background: rgb(97 40 56)
}






.main-menu.menu-light .navigation > li.hover > a, .main-menu.menu-light .navigation > li:hover > a {
    color: #000000;
}

.main-menu.menu-light .navigation > li.active > a {
    color: #ffffff;
}

.main-menu.menu-light .navigation > li > ul {
    background: #e3dfd4;
}


html body .content .content-wrapper .content-header-title {
    color: #52202e;
}

html body a {
    color: #653844;
}

.main-menu.menu-light .navigation > li.menu-collapsed-open > a {
    color: #545766;
    border-right: 4px solid #9a7e83;
}

body.vertical-layout.vertical-menu-modern .navbar .navbar-brand {
    white-space: nowrap;
    font-size: 1.7rem;
    font-weight: 900;
    padding-top: 26px;
    padding-left: 10px;
}

.navbar-light .navbar-brand {
    color: #ebe9e3;
}

@media (max-width: 991.98px) {
    [data-menu="vertical-menu-modern"] .header-navbar .navbar-header .navbar-brand {
        top: 21px;
    }
}

body.vertical-layout.vertical-menu-modern.menu-collapsed .navbar .navbar-brand {
    padding: 18px 0px;
    width: 24px;
    overflow: hidden;
}

.btn-info {
    border-color: #52202e !important;
    background-color: #52202e !important;
    color: #FFFFFF;
}

    .btn-info:hover {
        border-color: #723c4b !important;
        background-color: #723c4b !important;
        color: #FFF !important;
    }

.nav.nav-tabs.nav-linetriangle .nav-item a.nav-link.active {
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
    border-bottom-color: #928b81;
    color: #928b81;
}

    .nav.nav-tabs.nav-linetriangle .nav-item a.nav-link.active:focus {
        color: #52202e;
    }

    .nav.nav-tabs.nav-linetriangle .nav-item a.nav-link.active:before {
        border-top-color: #928b81;
    }

.navbar-light .navbar-nav .nav-link {
    color: #f9fafb
}

    .navbar-light .navbar-nav .nav-link:hover, .navbar-light .navbar-nav .nav-link:focus {
        color: white;
    }

.navbar-light .navbar-brand:hover, .navbar-light .navbar-brand:focus {
    color: white;
}

@media (max-width: 991.98px) {
    [data-menu="vertical-menu-modern"] .navbar-light .navbar-header .navbar-nav .nav-link {
        color: #ffffff;
    }
}

h4, .h4 {
    font-size: 1.22rem;
}
/*span.select2.select2-container.select2-container--bootstrap4.select2-container--above {
    background-color: white;
}*/
span.select2.select2-container.select2-container--bootstrap4 {
    background-color: white;
}